Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BusinessInfo

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.BusinessInfo

public class BusinessInfo
extends java.lang.Object

Each businessInfo structure contains company name and description data, along with a collection element named serviceInfos.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`BusinessInfo()` Class constructor.

Method Summary
`void` | `addDescription(java.lang.String value)` Adds a new description to the descriptions.
`java.lang.String` | `getBusinessKey()` Get the business key.
`java.util.Vector` | `getDescriptionVector()` Get the description.
`Name` | `getName()` Get the name.
`ServiceInfos` | `getServiceInfos()` Get the service infos.
`void` | `setBusinessKey(java.lang.String value)` Sets the value of the business key.
`void` | `setDescriptionVector(java.util.Vector value)` Sets the values for descriptions.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(java.lang.String value)` Sets the name string.
`void` | `setServiceInfos(ServiceInfos value)` Set the service infos.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessInfo

    public BusinessInfo()

  Class constructor.

Method Detail

### getName

    public Name getName()

  Get the name.

  Returns:
    the current name.

### setName

    public void setName(java.lang.String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### getBusinessKey

    public java.lang.String getBusinessKey()

  Get the business key.

  Returns:
    the current business key.

### setBusinessKey

    public void setBusinessKey(java.lang.String value)

  Sets the value of the business key.

  Parameters:
    `value` - the new value of the business key.

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get the description.

  Returns:
    the current description.

### addDescription

    public void addDescription(java.lang.String value)

  Adds a new description to the descriptions.

  Parameters:
    `value` - the new description.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector value)

  Sets the values for descriptions.

  Parameters:
    `value` - A set of descriptions to be included

### getServiceInfos

    public ServiceInfos getServiceInfos()

  Get the service infos.

  Returns:
    the current service infos.

### setServiceInfos

    public void setServiceInfos(ServiceInfos value)

  Set the service infos.

  Parameters:
    `the` - new service infos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference